org.apache.datasketches.quantilescommon

## Interface QuantilesLongsSketchIterator

All Superinterfaces:
  QuantilesSketchIterator

All Known Implementing Classes:
  KllLongsSketchIterator

    public interface QuantilesLongsSketchIterator
    extends QuantilesSketchIterator

The quantiles sketch iterator for primitive type long.

Author:
  Zac Blanco
See Also:
  `QuantilesSketchIterator`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getQuantile()` Gets the long quantile at the current index.

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

### Method Detail

#### getQuantile

    long getQuantile()

Gets the long quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the long quantile at the current index.